QT5OPTIONS(7)

NOME
qt5options - As opções comuns da linha de comando que se baseiem nas bibliotecas do Qt

SINOPSE

Aplicativo Qt [-style= estilo / -style estilo] [-stylesheet= folha de estilo / -stylesheet folha de estilo] [-widgetcount] [-reverse] [-qmljsdebugger= porta] [-platform nomePlataforma[:options]] [-platformpluginpath caminho] [-platformtheme temaPlataforma] [-plugin plugin] [-qwindowgeometry geometria] [-qwindowicon ícone] [-qwindowtitle título] [-reverse] [-session sessão] [-display máquina:número_tela] [-geometry geometria] [-dialogs= [xp|none]] [-fontengine= freetype] [-h, --help e -? no Windows] [-v --version]

OPçõES

As seguintes opções aplicam-se a todos os aplicativos do Qt(TM):

-style= estilo / -style estilo
    Define o estilo gráfico do aplicativo. Os valores possíveis dependem da configuração do sistema. Se o Qt for compilado com estilos adicionais ou se tiver estilos adicionais como plugins, estes ficarão disponíveis na opção -style da linha de comandos.

-stylesheet= folha de estilo / -stylesheet folha de estilo
    Define a folha de estilo do aplicativo. O valor deverá ser o caminho de um arquivo que contém a folha de estilo.

-widgetcount
    Mostra uma mensagem de depuração no fim sobre o número de widgets não destruídos e o número máximo de widgets que existiram ao mesmo tempo.

-reverse
    Define a direção do layout do aplicativo como Qt::RightToLeft. Esta opção pretende ajudar na depuração e não deve ser usada em produção. O valor padrão é detectado automaticamente a partir da região do usuário (veja também o QLocale::textDirection()).

-qmljsdebugger= porta
    Ativa o depurador de QML/JS com uma porta específica. O valor deverá ser no formato porta:1234[,bloqueio], onde bloqueio é opcional e fará com que o aplicativo aguarde até que um depurador se conecte a ela.

-platform nomePlataforma[:opções]
    Define o plugin do QPA (Qt Platform Abstraction).

-platformpluginpath caminho
    Define o caminho dos plugins da plataforma.

-platformtheme temaPlataforma
    Define o tema da plataforma.

-plugin plugin
    Define os plugins adicionais a carregar. O argumento poderá aparecer várias vezes.

-qwindowgeometry geometria
    Define a geometria da janela principal, usando a sintaxe do X11. Por exemplo: -qwindowgeometry 100x100+50+50

-qwindowicon ícone
    Define o ícone padrão da janela.

-qwindowtitle título
    Define o título da primeira janela.

-session sessão
    Restaura o aplicativo a partir de uma sessão anterior.

-display máquina:número_tela
    Muda de tela no X11. Substitui a variável de ambiente DISPLAY.

-geometry geometria
    Define a geometria da janela principal no X11. Por exemplo: -geometry 100x100+50+50.

-dialogs= [xp|none]
    Só está disponível na -platform windows. O 'xp' usa as janelas nativas com o estilo do XP e o 'none' desativa-as.

-fontengine= freetype
    Usa o mecanismo de fontes FreeType.

-h, --help e -? no Windows
    Mostra todas as opções e a descrição do aplicativo.

-v --version
    Mostra o texto da versão do aplicativo.

VEJA TAMBéM

kf5options(7)

AUTORES

Página de manual escrita originalmente por Lauri Watts <lauri@kde.org>

Atualizada para o Frameworks 5 por Burkhard Lück <lueck@hube-lueck.de>

As informações desta página de manual são da documentação do QApplication[1], da documentação do QGuiApplication[2] e da documentação do QCommandLineParser[3].

AUTORES

Lauri Watts <lauri@kde.org>
    Autor.

Burkhard Lück <lueck@hube-lueck.de>
    Autor.

NOTAS

1.  documentação do QApplication
    https://doc.qt.io/qt-5/qapplication.html#QApplication

2.  documentação do QGuiApplication
    https://doc.qt.io/qt-5/qguiapplication.html#QGuiApplication

3.  documentação do QCommandLineParser
    https://doc.qt.io/qt-5/qcommandlineparser.html